Subject: Re: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Andrea Corallo <[email-masked]>
Date: Fri, 24 Sep 2021 07:32:11 +0000

ASSI <[email-masked]> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" writes:
>> To get practical I've:
>>
>> ~/.emacs.d/eln-cache/28.0.50-2045295c/apropos-7c1ecbdf-10e46ddb.eln
>>                               ^^^               ^^^       ^^^
>>                                A                 B         C
>>
>> A- accounts for emacs-verison, system-configuration,
>>    system-configuration-options and the signatures of all the subr
>>    present in the C code.
>
> OK, so this would be unique for one Cygwin Emacs release and architecture.
>
>> B- accounts for the absolute filename of
>>    the source file
>
> In general, is this hardcoded or can we change the hashing strategy for
> Cygwin via some configuration or hook?

Hardcoded. Could you explain why this could be problematic for cygwin?

>> C- accounts for the content for the source file
>
> Can you point me to the part of the discussion where it was determined
> that the absolute location of the file was making a difference that was
> not covered with the hash of the content?

Not at the moment sorry, this was discussed more the once in different
threads in the last 1-2 years.

Note we use the absolute location hash mainly to try to keep clean the
cache folders (we can't have two eln with the same 'path_hash', one must
be obsolete).

  Andrea